Subject: A6 record status

From: Brian E Carpenter <[email-masked]>
Date: Fri, 12 Aug 2011 10:06:25 +1200

Hi,

What do 6man people think about moving RFC 2874 (the A6 record)
from Experimental to Historic status?

It's pretty clear that it doesn't have any real value, and
it can still create confusion for newcomers.

IMHO this doesn't need a draft; the IESG could just do it.

Regards
   Brian Carpenter

---

From: Sander Steffann <[email-masked]>
Date: Fri, 12 Aug 2011 00:55:53 +0200

Hi Brian,

> from Experimental to Historic status?

I really thought that it already was Historic :-)  No objection at all!

Thanks,
Sander

---

From: Tina TSOU <[email-masked]>
Date: Thu, 11 Aug 2011 22:12:46 +0000

Brian,
I'm with you. I don't use A6 record in any case.

Best Regards,
Tina TSOU
http://tinatsou.weebly.com/contact.html

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Brian E Carpenter
Sent: Thursday, August 11, 2011 3:06 PM
To: 6man
Cc: Tim Chown
Subject: A6 record status

Hi,

Regards
   Brian Carpenter
--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: Christian Huitema <[email-masked]>
Date: Thu, 11 Aug 2011 23:18:22 +0000

It looked like a great idea at the time, but the time has passed, and historic is clearly appropriate. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Tina TSOU
Sent: Thursday, August 11, 2011 3:13 PM
To: Brian E Carpenter; 6man
Cc: Tim Chown
Subject: RE: A6 record status

Brian,

Best Regards,
Tina TSOU

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Brian E Carpenter
Sent: Thursday, August 11, 2011 3:06 PM
To: 6man
Cc: Tim Chown
Subject: A6 record status

Hi,

What do 6man people think about moving RFC 2874 (the A6 record) from Experimental to Historic status?

It's pretty clear that it doesn't have any real value, and it can still create confusion for newcomers.

Regards
   Brian Carpenter

---

From: Mark Andrews <[email-masked]>
Date: Fri, 12 Aug 2011 09:47:42 +1000

I think it is make work and won't change the amount of confusion.
In addition A6 allows compresssion of the domain name in the rdata
so it can't be treated as unknown (i.e. a opaque blob) by nameservers.

If one wants to do something about IPv6 addresses in the DNS add
support for scoped addresses.  Link-local could then be useful.

Mark

In message <[email-masked]
-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

---

From: Jiangsheng <[email-masked]>
Date: Fri, 12 Aug 2011 00:57:13 +0000

+1

When we did 6renum current practise analysis, we found A6 record is helpful in renumbering cases. However, we then found it has many issues, which has been documented in RFC 3363 and RFC 3364. If A6 stays experimental status, it is really misleading. We should avoid this confusion by moving it to Historic.

Sheng 

> From: Brian E Carpenter [mailto:[email-masked]]
> Sent: Friday, August 12, 2011 6:06 AM
> To: 6man
> Cc: Jiangsheng; Tim Chown

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 12 Aug 2011 13:06:06 +1200

On 2011-08-12 11:47, Mark Andrews wrote:
> I think it is make work 

That's why I am only suggesting an IESG decision, not a draft
and an RFC.

> and won't change the amount of confusion.

If it's historic, servers shouldn't even contain any A6 records,
surely?

> support for scoped addresses.  Link-local could then be useful.

Different topic, and I suspect much more complex.

   Brian

---

From: Mark Andrews <[email-masked]>
Date: Fri, 12 Aug 2011 14:56:44 +1000

> If it's historic, servers shouldn't even contain any A6 records,

Making something historic doesn't remove the old software or the
old records.  Removing knowledge of A6 from recursive server will
result in garbage A6 records being delivered to old clients that
are A6 aware.  A6 aware clients still work as they ask for both
AAAA and A6 records.

One needs a phase out plan if you want to remove A6 support and it
is likely to need to be decades long given how long people run old
nameservers for.

---

From: Sheng Jiang <[email-masked]>
Date: Fri, 12 Aug 2011 06:12:40 +0000

> are A6 aware.  A6 aware clients still work as they ask for both

Yes, your statement are right. However, the case of A6 is there are few current A6 software or records. As far as I know, there are no commercial A6 supports in the current global DNS system. A6 only existed in some experimental system, like 6net. So, what we are worried here is not these existing A6. By moving A6 into historic, we are preventing any NEW A6 implementation or deployment.

Sheng

---

From: Roger Jørgensen <[email-masked]>
Date: Fri, 12 Aug 2011 08:39:40 +0200

> it can still create confusion for newcomers.

uh, thought (as others have mention) that it was gone years and years
ago. Please move it on.

-- 

Roger Jorgensen           |
[email-masked]          | - IPv6 is The Key!
http://www.jorgensen.no   | [email-masked]

---

From: Mark Andrews <[email-masked]>
Date: Fri, 12 Aug 2011 17:11:31 +1000

In message <[email-masked]
.com>, Sheng Jiang writes:
> Yes, your statement are right. However, the case of A6 is there are few curre
> nt A6 software or records. As far as I know, there are no commercial A6 suppo
> rts in the current global DNS system. A6 only existed in some experimental sy
> stem, like 6net. So, what we are worried here is not these existing A6. By mo
> ving A6 into historic, we are preventing any NEW A6 implementation or deploym
> ent.
> 
> Sheng

The root servers are getting 100's of A6 q/s (~20:1 AAAA:A6
<http://k.root-servers.org/statistics/GLOBAL/daily/>).  There is
still a very large base of A6 using software out there regardless
of whether they are getting NODATA responses or not.

I don't know what percentage of responses are NODATA and what have
actual A6 records.  I do think we need to know answers to these sorts
of questions.

Mark

---

From: SM <[email-masked]>
Date: Fri, 12 Aug 2011 00:31:26 -0700

Hi Brian,
>If it's historic, servers shouldn't even contain any A6 records,

It only means that there is consensus within the IETF to classify the 
specification as Historic.  The A6 records won't disappear overnight though.

I suggest discussing about the paperwork on the DNSEXT mailing list.

Regards,
-sm

---

From: Sheng Jiang <[email-masked]>
Date: Fri, 12 Aug 2011 07:41:53 +0000

> of whether they are getting NODATA responses or not.

Oops... This looks different from many people's thought. However, this is a fact that shows A6 is actually in use. Based on this, moving A6 to historic is much more complex than an IESG decision. We may need more investigation on how these A6 records are current used. We also need to investigate what impact may have if A6 is abolish. Another important question is whether there are A6-only client. It looks a lot investigation and analysis work, which is definitely worth a draft, before we can make the decision to moving A6 into history or start a phase out plan.

Sheng

---

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Fri, 12 Aug 2011 10:33:44 +0200

+1

-------- Message d'origine--------
De: [email-masked] de la part de Jiangsheng
Date: ven. 12-août-11 02:57
À: Brian E Carpenter; 6man
Cc: Tim Chown
Objet : RE: A6 record status
 
+1

Sheng

---

From: David Conrad <[email-masked]>
Date: Fri, 12 Aug 2011 07:17:01 -1000

Mark,

On Aug 11, 2011, at 9:11 PM, Mark Andrews wrote:
> <http://k.root-servers.org/statistics/GLOBAL/daily/>).  

Yeah, so?  The vast majority of the queries hitting the root servers are useless crap.  100's of A6 qps is in the noise.

> There is

And keeping an RFC as experimental is going to change that how?

> actual A6 records.  I do think we need to know answers to these sorts

Why?  What possible difference will it make?

Regards,
-drc

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 13 Aug 2011 08:53:31 +1200

I agree that the status of the RFC has no immediate or direct
impact on the real world. But I think it's orthogonal to the
*operational* question of how to eliminate the residual A6
records and how to eventually eliminate A6 queries. Mark is
completely correct that this would require a plan - but since
it's a purely operational matter, presumably it belongs in DNSOP
if it belongs anywhere in the IETF.

Marking the RFC as Historic would only be the first step,
apparently.

Regards
   Brian

---

From: Ralph Droms <[email-masked]>
Date: Fri, 12 Aug 2011 17:27:36 -0400

Mark - do you have any estimate of the current use of A6 records?  I'd like to get an idea of the scope of the impact of moving A6 records to Historic.

- Ralph

---

From: David Conrad <[email-masked]>
Date: Fri, 12 Aug 2011 12:27:12 -1000

Brian,

On Aug 12, 2011, at 10:53 AM, Brian E Carpenter wrote:
> But I think it's orthogonal to the
> records and how to eventually eliminate A6 queries.

If you can figure this out, perhaps the lesson can be applied to iqueries and queries to root servers that changed IP addresses over a decade ago.

> Mark is

I believe the issue is folks not upgrading name servers. Mark can correct me if I'm wrong, but the reason there are so many A6 queries is because back in the late 90s when BINDv9 was being written, A6 was going to be the future. As a result, A6 queries were tried by default (I think they were actually tried before AAAA in BIND 9.{0,1,2} but not positive). When it was pointed out that A6 had some fundamental issues (discussed in http://tools.ietf.org/html/draft-ietf-dnsext-aaaa-a6-01 with the deprecation codified in RFC 3363), A6 was abandoned in favor of AAAA and BINDv9 no longer tried A6 records by default.  I believe A6 was removed from the query order in 2004 or 2005.

> Marking the RFC as Historic would only be the first step, apparently.

Wouldn't hurt, but I doubt any sort of RFC action will have a significant impact.  We're in the long tail of old software getting flushed out of the Internet.

Regards,
-drc

---

From: Mark Andrews <[email-masked]>
Date: Sat, 13 Aug 2011 11:37:29 +1000

In message <[email-masked]>, Ralph Droms writes
:
> Mark - do you have any estimate of the current use of A6 records?  I'd like t
> =
> o get an idea of the scope of the impact of moving A6 records to Historic.
> 
> - Ralph

The passive DNS sensors saw no A6 records in June and July.
 
Mark

> >=20
> >>> I think it is make work=20
> >>=20
> >>=20
> >>=20
> >=20
> >=20
> >=20
> >>=20
> >>=20
> > --=20